Bug 834264 - [abrt] gnucash-2.4.10-1.fc17: g_str_hash: Process /usr/bin/gnucash was killed by signal 11 (SIGSEGV)
[abrt] gnucash-2.4.10-1.fc17: g_str_hash: Process /usr/bin/gnucash was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:825e2f91173abbaade6767a7801...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 07:33 EDT by Cornel Ahlers
Modified: 2014-03-16 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.88 KB, text/plain)
2012-06-21 07:33 EDT, Cornel Ahlers
no flags Details
File: gconf_subtree (10.21 KB, text/plain)
2012-06-21 07:33 EDT, Cornel Ahlers
no flags Details
File: maps (51.79 KB, text/plain)
2012-06-21 07:34 EDT, Cornel Ahlers
no flags Details
File: dso_list (17.21 KB, text/plain)
2012-06-21 07:34 EDT, Cornel Ahlers
no flags Details
File: build_ids (7.25 KB, text/plain)
2012-06-21 07:34 EDT, Cornel Ahlers
no flags Details

  None (edit)
Description Cornel Ahlers 2012-06-21 07:33:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnucash
comment:        I just wanted to open an invoice for a customer > crash. It is 100% reproducable.
crash_function: g_str_hash
executable:     /usr/bin/gnucash
kernel:         3.4.3-1.fc17.i686.PAE
pid:            2518
pwd:            /home/cornel
time:           Do 21 Jun 2012 13:25:28 CEST
uid:            1000
username:       cornel
xsession_errors: 

backtrace:      Text file, 39811 bytes
build_ids:      Text file, 7421 bytes
dso_list:       Text file, 17623 bytes
gconf_subtree:  Text file, 10450 bytes
maps:           Text file, 53038 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/cornel/2

core_backtrace:
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x3704a g_str_hash libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x36569 g_hash_table_lookup libglib-2.0.so.0 -
:337aef5fc9e6ab1c2d2bac57159482d69263f211 0x4c9e gnc_cell_factory_make_cell libgncmod-register-core.so -
:337aef5fc9e6ab1c2d2bac57159482d69263f211 0x744b gnc_register_make_cell libgncmod-register-core.so -
:5a6d1d7efaa9d9d963b9158355b8316aa3b89fac 0x8dfb - libgnc-business-ledger.so.0 -
:5a6d1d7efaa9d9d963b9158355b8316aa3b89fac 0x8f03 gnc_entry_ledger_layout_new libgnc-business-ledger.so.0 -
:5a6d1d7efaa9d9d963b9158355b8316aa3b89fac 0x6058 gnc_entry_ledger_new libgnc-business-ledger.so.0 -
:277655a7280afd389caf88cc53973f3e811d01f4 0x1f475 gnc_invoice_create_page libgncmod-business-gnome.so -
:277655a7280afd389caf88cc53973f3e811d01f4 0x2ae45 - libgncmod-business-gnome.so -
:01796ffbee6c63243daa14f2ebf17b811c9f130b 0x75254 gnc_plugin_page_create_widget libgncmod-gnome-utils.so -
:01796ffbee6c63243daa14f2ebf17b811c9f130b 0x6dfe2 gnc_main_window_open_page libgncmod-gnome-utils.so -
:277655a7280afd389caf88cc53973f3e811d01f4 0x1be79 - libgncmod-business-gnome.so -
:277655a7280afd389caf88cc53973f3e811d01f4 0x1f76f gnc_ui_invoice_edit libgncmod-business-gnome.so -
:277655a7280afd389caf88cc53973f3e811d01f4 0x1f7b0 - libgncmod-business-gnome.so -
:8f3f280bf73da7c18c866860db991c79da15740d 0x6247 - libgncmod-gnome-search.so -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7ba3a gtk_button_clicked libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7d0d8 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e3c3 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7b94a gtk_button_released libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x7b9a5 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x150f62 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e6e8 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x2a6e03 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14e9f4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14eda0 gtk_main_do_event libgtk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x5e439 - libgdk-x11-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14dac0 gtk_main libgtk-x11-2.0.so.0 -
:01796ffbee6c63243daa14f2ebf17b811c9f130b 0x64f14 gnc_ui_start_event_loop libgncmod-gnome-utils.so -
:70bce080aa583a7718c36267c50787d4d516d5d7 0x30d0 _start [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=hpux.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/cornel/keyring-mKbHqh
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=cornel
:USERNAME=cornel
:MAIL=/var/spool/mail/cornel
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/cornel/.local/bin:/home/cornel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cornel
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1228
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/cornel
:SHLVL=1
:LOGNAME=cornel
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-zkOtKR01Yf,guid=1a71e62c438d28e0e00f87b200000030
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cornel
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-cornel-5eKqjp/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1232,unix/unix:/tmp/.ICE-unix/1232
:SSH_AUTH_SOCK=/run/user/cornel/keyring-mKbHqh/ssh
:GPG_AGENT_INFO=/run/user/cornel/keyring-mKbHqh/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-gnucash.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2518
:DESKTOP_STARTUP_ID=gnome-shell-1445-hpux.localdomain-gnucash-0_TIME3498290

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 32076                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       32076                32076                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/cornel/.xsession-errors
:pos:	6629
:flags:	02002
:2:/home/cornel/.xsession-errors
:pos:	6629
:flags:	02002
:3:/tmp/gnucash.trace
:pos:	3388
:flags:	0100002
:4:socket:[75612]
:pos:	0
:flags:	02004002
:5:/dev/urandom
:pos:	0
:flags:	02000000
:6:socket:[75611]
:pos:	0
:flags:	02000002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:pipe:[75613]
:pos:	0
:flags:	00
:10:pipe:[75613]
:pos:	0
:flags:	04001
:11:socket:[75614]
:pos:	0
:flags:	02000002
:12:socket:[76320]
:pos:	0
:flags:	02004002
:13:socket:[75660]
:pos:	0
:flags:	02004002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:pipe:[76329]
:pos:	0
:flags:	00
:16:pipe:[76329]
:pos:	0
:flags:	01
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 3a685a0f-dffe-4343-9ccd-4940fb527ff1
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: i686
:BogoMIPS: 3990.00
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz
:CPU-Stepping: 11
:CPU Familie: 6
:CPU-Modellnummer: 15
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 2001
:Systemspeicher: 4027
:System-Swap: 4762
:Anbieter: Hewlett-Packard
:System: HP Compaq 6910p F.14
:Form-Faktor: Notebook
:Kernel: 3.4.3-1.fc17.i686.PAE
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10752:4156:12478) pci, agpgart-intel, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10281:4156:12478) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4156:12478) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10257:4156:12478) pci, None, PCI/ISA, 82801HBM (ICH8M-E) LPC Interface Controller
:(32902:4169:4156:12478) pci, e1000e, ETHERNET, 82566MM Gigabit Network Connection
:(4480:2098:4156:12478) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:9288:4156:12478) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4480:2082:4156:12478) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10289:4156:12478) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4156:12478) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4156:12478) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4480:1142:4156:12478) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(32902:10294:4156:12478) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4156:12478) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(4480:1142:4156:12478) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(32902:10754:4156:12478) pci, i915, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (primary)
:(32902:10755:4156:12478) pci, None, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (secondary)
:(32902:10303:4156:12478) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4156:12478) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10311:4156:12478) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:4156:12478) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:4156:12478) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4156:12478) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(32902:16937:32902:4097) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 3655656 1631087 1594475 917504 692039 692039
:/dev/sda5 /home ext4 4096 4096 24383635 10817049 9595891 6111232 6068065 6068065
:

var_log_messages:
:Jun 20 09:48:55 hpux kernel: [43716.087716] gnucash[16229]: segfault at 732e7265 ip 4bfb904a sp bfd709a8 error 4 in libglib-2.0.so.0.3200.3[4bf82000+126000]
:Jun 20 09:48:57 hpux abrt[16271]: Saved core dump of pid 16229 (/usr/bin/gnucash) to /var/spool/abrt/ccpp-2012-06-20-09:48:55-16229 (78958592 bytes)
:Jun 20 09:50:46 hpux kernel: [43826.591676] gnucash[16319]: segfault at 732e7265 ip 4bfb904a sp bfb5e248 error 4 in libglib-2.0.so.0.3200.3[4bf82000+126000]
:Jun 20 09:50:47 hpux abrt[16331]: Saved core dump of pid 16319 (/usr/bin/gnucash) to /var/spool/abrt/ccpp-2012-06-20-09:50:46-16319 (44761088 bytes)
:Jun 21 13:25:28 hpux kernel: [ 4589.694092] gnucash[2518]: segfault at 732e7265 ip 4bfb904a sp bf9144d8 error 4 in libglib-2.0.so.0.3200.3[4bf82000+126000]
:Jun 21 13:25:29 hpux abrt[2719]: Saved core dump of pid 2518 (/usr/bin/gnucash) to /var/spool/abrt/ccpp-2012-06-21-13:25:28-2518 (44707840 bytes)
Comment 1 Cornel Ahlers 2012-06-21 07:33:56 EDT
Created attachment 593422 [details]
File: backtrace
Comment 2 Cornel Ahlers 2012-06-21 07:33:58 EDT
Created attachment 593423 [details]
File: gconf_subtree
Comment 3 Cornel Ahlers 2012-06-21 07:34:00 EDT
Created attachment 593424 [details]
File: maps
Comment 4 Cornel Ahlers 2012-06-21 07:34:04 EDT
Created attachment 593425 [details]
File: dso_list
Comment 5 Cornel Ahlers 2012-06-21 07:34:06 EDT
Created attachment 593426 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-07-03 21:21:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 01:43:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.